%define name gnome-iconedit
%define summary Icon editor for GNOME
%define exec bin/gnome-iconedit 
%define version 1.0.6
%define release 2mdk
%define group Graphics
%define section  Multimedia/Graphics

Name: %{name}
Summary: %{summary}
Icon: %{name}.xpm
Version: %{version}
Release: %{release}
Copyright: GPL
Group: %{group}

Buildroot: /var/tmp/%{name}-buildroot/
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}_16x16.xpm
Source2: %{name}_32x32.xpm
Patch:      gnome-iconedit-gdk_pixbuf.patch.bz2
Patch1:     gnome-iconedit-gdkpixbuf.patch.bz2

Prefix: /usr
Requires: gnome-libs >= 1.0.54 gdk-pixbuf >= 0.7.0

%description
GNOME-Iconedit is a simple icon editor for the GNOME desktop environment. 
It is not as powerful as the wonderful GIMP, but has enough features to 
create simple icons or cursors.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

echo "  *****     Applying Helix patches     *****  "
%patch -p1 -b .gdk_pixbuf_h
%patch1 -p1 -b .gdk_pixbuf

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%{prefix} --sysconfdir=/etc
if [x$"SMP" !=x""]; then
		(make MAKE="make -j $SMP -k";exit 0)
		make
else
		make
fi

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

# icons
install -D  %{SOURCE1}  \
	$RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm 
install -D %{SOURCE2}   \
	$RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm 

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(%{name}):\
	command="%{prefix}/%{exec}"\
	needs="X11"\
	icon="%{prefix}/share/icons/%{name}.xpm"\
	section="%{section}"\
	title="%{name}"\
	longtitle="%{name}: %{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
## add menu entry 
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
## remove menu entry 
[ "$1" = 0 ] && [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%files
%attr(755,root,root) %{prefix}/bin/gnome-iconedit
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/menu/%{name}
%{prefix}/share/icons/%{name}.xpm
%{prefix}/share/icons/mini/%{name}.xpm
%config /etc/CORBA/servers/*
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/gnome/help/gnome-iconedit
%{prefix}/share/idl/Iconedit.idl
%{prefix}/share/pixmaps/gnome-iconedit
%{prefix}/share/locale/*/*/*

%changelog
* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.6-2mdk
- build with gdk-pixbuf 0.7 libraries
- some minor changes  to spec file

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.6-1mdk
- release from Helix package
- enable SMP build.

* Thu Apr 4 2000 Denis Havlik <denis@mandrakesoft.com> 1.0.5-3mdk
- new group: Graphics
- menu entry + icons
- package icon

* Fri Feb 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.5-2mdk 
- changed the %files section a little to avoid orphaned directories
- use of %%{prefix}
- added %clean section

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by John Cavan <jcavan@linux-mandrake.com>

* Wed Feb  9 2000 John Cavan <jcavan@linux-mandrake.com>
- initial Mandrake
